voice_sounds = {}
local letter_index = 97
while letter_index <= 122 do
    local letter = string.char(letter_index)
    voice_sounds[letter] = love.audio.newSource(letter..".wav", "static") 
    letter_index = letter_index + 1
end
computer_voice_string = ""
computer_voice_timer = 0

function update_computer_voice()
    if not (computer_voice_string == "") then
        if computer_voice_timer > 2 then
            local next_char = computer_voice_string:sub(1,1)

            if next_char == "a"
            or next_char == "e"
            or next_char == "i"
            or next_char == "o"
            or next_char == "r"
            or next_char == "g"
            or next_char == "k" then
                expression = 1
            elseif next_char == "u" then
                expression = 2
            elseif next_char == "d"
            or next_char == "n"
            or next_char == "l" 
            or next_char == "t"
            or next_char == "s" then
                expression = 3
            elseif next_char == "b"
            or next_char == "m" 
            or next_char == "p" then
                expression = 4
            end
            
            computer_voice_string = computer_voice_string:sub(2, #computer_voice_string)
            local computer_sound = voice_sounds[next_char]
            if not (computer_sound == nil) then
                computer_sound:setPitch(math.random()+.5)
                computer_sound:stop()
                computer_sound:play()
            end

            if next_char == "," then 
                computer_voice_timer = -20
            elseif next_char == "." then 
                computer_voice_timer = -60
            else
                computer_voice_timer = 0
            end
        else
            computer_voice_timer = computer_voice_timer + 1
        end
    else
        expression = 0
    end
end